JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.readFileContents('id', { file_path: 'file_path' });
console.log(response);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.read_file_contents(
id="id",
file_path="file_path",
)
print(response)curl --request POST \
--url https://api.runloop.ai/v1/devboxes/{id}/read_file_contents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_path": "<string>"
}
'
"<string>"Devbox
Read text file contents from Devbox filesystem.
Read file contents from a file on a Devbox as a UTF-8. Note ‘downloadFile’ should be used for large files (greater than 100MB). Returns the file contents as a UTF-8 string.
POST
/
v1
/
devboxes
/
{id}
/
read_file_contents
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.readFileContents('id', { file_path: 'file_path' });
console.log(response);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.read_file_contents(
id="id",
file_path="file_path",
)
print(response)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Body
application/json
The path on the Devbox filesystem to read the file from. Path is relative to user home directory.
Response
OK
The response is of type string.
Was this page helpful?
⌘I
